# needed for building on el6
%{?nodejs_find_provides_and_requires}

%global srcname aws-sign2
%global owner request

Name:           nodejs-%{srcname}
Version:        0.6.0
Release:        1%{?dist}
Summary:        Node.js module for AWS signing
License:        ASL 2.0
URL:            https://github.com/%{owner}/aws-sign
Source0:        https://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

%if 0%{?rhel} == 6
ExclusiveArch:  %{ix86} x86_64 %{arm} noarch
%else
ExclusiveArch:  %{nodejs_arches} noarch
%endif

BuildRequires:  nodejs-packaging

%description
%{summary}.

%prep
%setup -qn package
rm -rf node_modules

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}

cp -pr package.json index.js \
    %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps

%files
%{!?_licensedir:%global license %doc}
%doc README.md
%license LICENSE
%{nodejs_sitelib}/%{srcname}

%changelog
* Wed Nov 18 2015 Piotr Popieluch <piotr1212@gmail.com> - 0.6.0-1
- Initial package
